MPT_SOFT_HARD_RESETH(9)

NAME
mpt_Soft_Hard_ResetHandler - Try less expensive reset

SYNOPSIS

int mpt_Soft_Hard_ResetHandler(MPT_ADAPTER * ioc, int sleepFlag);

ARGUMENTS

ioc
    Pointer to MPT_ADAPTER structure

sleepFlag
    Indicates if sleep or schedule must be called.

DESCRIPTION

Returns 0 for SUCCESS or -1 if FAILED. Try for softreset first, only if it fails go for expensive HardReset.

COPYRIGHT